package com.reptileclient.jlifeapp.entity.hm;

import lombok.Data;

@Data
public class ServerOrderClue {
	private String serviceType;
	private String serviceFulfillType;
	private boolean dispatchFlag;
	private boolean cancelFlag;
	private int servantId;
	private boolean noNeedDelivery;
	private String itemName;
	private String payFee;
	private boolean noNeedPick;
	private boolean canCallDeliveryExpress;
	private boolean partRefund;
	private boolean canPrint;
	private String bookTime;
	private String paymentNo;
	private boolean refundBenefits;
	private long itemId;
	private String bizOrderId;
	private String phone;
	private String hmOrderId;
	private String position;
	private boolean needModifyDelivery;
	private boolean modifyTimeFlag;
	private String status;
	private int statusCode;
	private boolean canModifyDelivery;
	private boolean allRefund;
	private String selectedServantId;
	private String shopName;
	private String remark;
	private boolean canModifyPickAndDelivery;
	private String addrName;
	private boolean canConfirmDelivery;
	private boolean modifyAddressFlag;
	private int bookTradeNo;
	private int periodTag;
	private String supplierName;
	private boolean operRemarkFlag;
	private boolean assignFlag;
	private String address;
	private boolean canCallPickExpress;
	private boolean needModifyPickAndDelivery;
	private boolean servantRemarkFlag;
	private boolean modifyFlag;
	private String userName;
	private int userId;
	private int bookOrderNo;
	private String createTime;
	private long serviceContractNo;
	private String agreementNo;
	private String addrDetail;

	public String getServiceType(){
		return serviceType;
	}

	public String getServiceFulfillType(){
		return serviceFulfillType;
	}

	public boolean isDispatchFlag(){
		return dispatchFlag;
	}

	public boolean isCancelFlag(){
		return cancelFlag;
	}

	public int getServantId(){
		return servantId;
	}

	public boolean isNoNeedDelivery(){
		return noNeedDelivery;
	}

	public String getItemName(){
		return itemName;
	}

	public String getPayFee(){
		return payFee;
	}

	public boolean isNoNeedPick(){
		return noNeedPick;
	}

	public boolean isCanCallDeliveryExpress(){
		return canCallDeliveryExpress;
	}

	public boolean isPartRefund(){
		return partRefund;
	}

	public boolean isCanPrint(){
		return canPrint;
	}

	public String getBookTime(){
		return bookTime;
	}

	public String getPaymentNo(){
		return paymentNo;
	}

	public boolean isRefundBenefits(){
		return refundBenefits;
	}

	public long getItemId(){
		return itemId;
	}

	public String getBizOrderId(){
		return bizOrderId;
	}

	public String getPhone(){
		return phone;
	}

	public String getHmOrderId(){
		return hmOrderId;
	}

	public String getPosition(){
		return position;
	}

	public boolean isNeedModifyDelivery(){
		return needModifyDelivery;
	}

	public boolean isModifyTimeFlag(){
		return modifyTimeFlag;
	}

	public String getStatus(){
		return status;
	}

	public int getStatusCode(){
		return statusCode;
	}

	public boolean isCanModifyDelivery(){
		return canModifyDelivery;
	}

	public boolean isAllRefund(){
		return allRefund;
	}

	public String getSelectedServantId(){
		return selectedServantId;
	}

	public String getShopName(){
		return shopName;
	}

	public String getRemark(){
		return remark;
	}

	public boolean isCanModifyPickAndDelivery(){
		return canModifyPickAndDelivery;
	}

	public String getAddrName(){
		return addrName;
	}

	public boolean isCanConfirmDelivery(){
		return canConfirmDelivery;
	}

	public boolean isModifyAddressFlag(){
		return modifyAddressFlag;
	}

	public int getBookTradeNo(){
		return bookTradeNo;
	}

	public int getPeriodTag(){
		return periodTag;
	}

	public String getSupplierName(){
		return supplierName;
	}

	public boolean isOperRemarkFlag(){
		return operRemarkFlag;
	}

	public boolean isAssignFlag(){
		return assignFlag;
	}

	public String getAddress(){
		return address;
	}

	public boolean isCanCallPickExpress(){
		return canCallPickExpress;
	}

	public boolean isNeedModifyPickAndDelivery(){
		return needModifyPickAndDelivery;
	}

	public boolean isServantRemarkFlag(){
		return servantRemarkFlag;
	}

	public boolean isModifyFlag(){
		return modifyFlag;
	}

	public String getUserName(){
		return userName;
	}

	public int getUserId(){
		return userId;
	}

	public int getBookOrderNo(){
		return bookOrderNo;
	}

	public String getCreateTime(){
		return createTime;
	}

	public long getServiceContractNo(){
		return serviceContractNo;
	}

	public String getAgreementNo(){
		return agreementNo;
	}

	public String getAddrDetail(){
		return addrDetail;
	}
}
